This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 198351 - Package amanda lacks IPv6 support
Package amanda lacks IPv6 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: amanda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Brich
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:13 EDT by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 06:20:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:13:40 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/amanda-2.5.0p2/server-src/amindexd.c:984:	assert(his_name->h_addrtype == AF_INET);
/amanda-2.5.0p2/server-src/amindexd.c:995:    if (his_addr.sin_family != AF_INET || ntohs(his_addr.sin_port) == 20)
/amanda-2.5.0p2/server-src/amindexd.c:1003:				  AF_INET)) == NULL) {
/amanda-2.5.0p2/restore-src/amidxtaped.c:185:     if (addr.sin_family != AF_INET || ntohs(addr.sin_port) == 20) {
/amanda-2.5.0p2/restore-src/amidxtaped.c:310:    if (addr.sin_family != AF_INET || ntohs(addr.sin_port) == 20) {
/amanda-2.5.0p2/client-src/amandad.c:271:	    in = out = socket(AF_INET, SOCK_DGRAM, 0);
/amanda-2.5.0p2/client-src/amandad.c:274:	    sin.sin_family = AF_INET;
/amanda-2.5.0p2/client-src/amandad.c:289:	    sock = socket(AF_INET, SOCK_STREAM, 0);
/amanda-2.5.0p2/client-src/amandad.c:294:	    sin.sin_family = AF_INET;
/amanda-2.5.0p2/common-src/krb4-security.c:447:    kh->peer.sin_family = AF_INET;
/amanda-2.5.0p2/common-src/krb4-security.c:970:    he = gethostbyaddr((void *)&peer.sin_addr, sizeof(peer.sin_addr), AF_INET);
/amanda-2.5.0p2/common-src/stream.c:54:    if((server_socket = socket(AF_INET, SOCK_STREAM, 0)) == -1) {
/amanda-2.5.0p2/common-src/stream.c:73:    server.sin_family = AF_INET;
/amanda-2.5.0p2/common-src/stream.c:184:    svaddr.sin_family = AF_INET;
/amanda-2.5.0p2/common-src/stream.c:188:    if((client_socket = socket(AF_INET, SOCK_STREAM, 0)) == -1) {
/amanda-2.5.0p2/common-src/stream.c:219:    claddr.sin_family = AF_INET;
/amanda-2.5.0p2/common-src/stream.c:424:	if(addr.sin_family == AF_INET && ntohs(addr.sin_port) != 20) {
/amanda-2.5.0p2/common-src/stream.c:427:	if(addr.sin_family != AF_INET) {
/amanda-2.5.0p2/common-src/stream.c:428:	    dbprintf(("%s: family is %d instead of %d(AF_INET): ignored\n",
/amanda-2.5.0p2/common-src/stream.c:431:		      AF_INET));
Comment 1 Peter Vrabec 2007-03-20 07:54:47 EDT
Hi Lukas, could u test if current amanda support IPv6.
Comment 2 Lukas Vrabel 2007-03-30 05:58:47 EDT
ipv6 is not supported in current version (2.5.0), but will be supported in 
2.5.2 (will be resolved after the upgrade of amanda)
Comment 3 Radek Brich 2007-07-03 06:20:19 EDT
version 2.5.2p1 is now in rawhide and supports IPv6

Note You need to log in before you can comment on or make changes to this bug.